org.eclipse.viatra.query.runtime.matchers.psystem

## Class TypeJudgement

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.psystem.TypeJudgement

-     public class TypeJudgement
      extends java.lang.Object

  A judgement that means that the given tuple of variables will represent a tuple of values that is a member of the extensional relation identified by the given input key.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeJudgement(IInputKey inputKey, Tuple variablesTuple)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PConstraint` | `createConstraintFor(PBody pBody)` Creates this judgement as a direct type constraint in the given PBody under construction.
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Map<TypeJudgement,java.util.Set<TypeJudgement>>` | `getConditionalImpliedJudgements(IQueryMetaContext context)`
    `java.util.Set<TypeJudgement>` | `getDirectlyImpliedJudgements(IQueryMetaContext context)`
    `IInputKey` | `getInputKey()`
    `Tuple` | `getVariablesTuple()`
    `java.util.Set<TypeJudgement>` | `getWeakenedAlternativeJudgements(IQueryMetaContext context)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeJudgement

          public TypeJudgement(IInputKey inputKey,
                               Tuple variablesTuple)

      Parameters:
        `inputKey` -
        `variablesTuple` -

  - ### Method Detail

    - #### getInputKey

          public IInputKey getInputKey()

    - #### getVariablesTuple

          public Tuple getVariablesTuple()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getDirectlyImpliedJudgements

          public java.util.Set<TypeJudgement> getDirectlyImpliedJudgements(IQueryMetaContext context)

    - #### getWeakenedAlternativeJudgements

          public java.util.Set<TypeJudgement> getWeakenedAlternativeJudgements(IQueryMetaContext context)

      Since:
        1.6

    - #### getConditionalImpliedJudgements

          public java.util.Map<TypeJudgement,java.util.Set<TypeJudgement>> getConditionalImpliedJudgements(IQueryMetaContext context)

      Since:
        2.0

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### createConstraintFor

          public PConstraint createConstraintFor(PBody pBody)

      Creates this judgement as a direct type constraint in the given PBody under construction.

      pre: the variables tuple must be formed of variables of that PBody.

      Since:
        1.6